Package org.codehaus.groovy.ast.stmt

# Interface LoopingStatement

All Known Implementing Classes:
  `DoWhileStatement`, `ForStatement`, `WhileStatement`

public interface LoopingStatement
This is an AST Node that provides some sort of looping mechanism. Typically in the form of a block that will be executed repeatedly. DoWhileStatements, WhileStatements, and ForStatements are all examples of LoopingStatements.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Statement`
  `getLoopBlock()`
  Gets the loop block.
  `void`
  `setLoopBlock(Statement loopBlock)`
  Sets the loop block.

- ## Method Details

  - ### getLoopBlock

    Statement getLoopBlock()
    Gets the loop block.

  - ### setLoopBlock

    void setLoopBlock(Statement loopBlock)
    Sets the loop block.